| Qore GoogleRestClient Module Reference 1.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | List of all members
GoogleRestClient::GoogleRestConnection Class Reference

Class for Google REST connections; returns GoogleRestClient objects. More...

Inheritance diagram for GoogleRestClient::GoogleRestConnection:
[legend]

## Public Member Functions
| constructor (hash< auto > config, *hash< auto > attr)
| creates the GoogleRestConnection object
| constructor (string name, string description, string url=GoogleRestClient::DefaultUrl, hash< auto > attributes={}, hash< auto > options={})
| creates the GoogleRestConnection object
string | getType ()
| returns `"grest"`

## Static Public Member Functions
static hash< auto > | getOptions (hash< auto > opts)
| returns options for GoogleRestConnection::constructor()

## Public Attributes
const | ConnectionScheme = ...
| Connection entry info.

## Protected Member Functions
hash< ConnectionSchemeInfo > | getConnectionSchemeInfoImpl ()
| Returns the ConnectionSchemeInfo hash for this object.
GoogleRestClient | getImpl (bool connect=True, *hash< auto > rtopts)
| returns a GoogleRestClient object
| setChildCapabilities ()
| Sets child data provider capabilities.

## Detailed Description

Class for Google REST connections; returns GoogleRestClient objects.

This class implements all options of RestClientConnection; in addition, this class provides the following default values for the following options:

- `oauth2_auth_args:` `access_type: offline`
- `oauth2_auth_url:` `https://accounts.google.com/o/oauth2/v2/auth`
- `oauth2_grant_type:` `authorization_code`
- `oauth2_token_url:` `https://oauth2.googleapis.com/token`

See also
  GoogleRestClient::GoogleRestClient::constructor() for more information on the above options

## Member Function Documentation

## ◆ constructor() [1/2]

GoogleRestClient::GoogleRestConnection::constructor | ( | hash< auto > | config,
|  | *hash< auto > | attr )

creates the GoogleRestConnection object

Parameters

  config | with the following keys: name (required string): the connection name display_name (optional string): the display name short_desc (optional string): a short description in plain text desc (optional string): a long description with markdown formatting url (required string): the connection URL opts (optional hash): connection options logger (optional LoggerInterface object): logger for the connection
  attr | optional connection attributes monitor (optional bool): should the connection be monitored? Default: True enabled (optional bool): is the connection enabled? Default: True locked (optional bool): is the connection locked? Default: False debug_data (optional bool): debug data? Default: False tags (optional hash): tags for the connection; no default value

Exceptions

  CONNECTION-OPTION-ERROR | missing or invalid connection option or attribute

## ◆ constructor() [2/2]

GoogleRestClient::GoogleRestConnection::constructor | ( | string | name,
|  | string | description,
|  | string | url = GoogleRestClient::DefaultUrl,
|  | hash< auto > | attributes = {},
|  | hash< auto > | options = {} )

creates the GoogleRestConnection object

Parameters

  name | the name of the connection
  description | connection description
  url | this aargument is ignored; the default Google API is always used
  attributes | various attributes. See below
  options | connection options

See ConnectionProvider::AbstractConnection::constructor() for `attributes` and `options` reference.

Exceptions

  CONNECTION-OPTION-ERROR | missing or invalid connection option

## ◆ getImpl()

GoogleRestClient GoogleRestClient::GoogleRestConnection::getImpl | ( | bool | connect = True,
|  | *hash< auto > | rtopts )
| protected

returns a GoogleRestClient object

Parameters

  connect | if True, then the connection is returned already connected
  rtopts | this connection type does not accept any runtime options, so this parameter is ignored

Returns
  a GoogleRestClient object